Orxonox: orxonox::XMLPortObjectContainer Class Reference

# orxonox::XMLPortObjectContainer Class Reference

`#include <src/core/XMLPort.h>`

Inheritance diagram for orxonox::XMLPortObjectContainer:

List of all members.

## Public Member Functions

virtual XMLPortObjectContainer & | description (const std::string description)=0
virtual const std::string & | getDescription ()=0
const std::string & | getName () const
bool | identifierIsIncludedInLoaderMask (const Identifier *identifier)
| XMLPortObjectContainer ()
virtual | ~XMLPortObjectContainer ()

## Protected Attributes

bool | bApplyLoaderMask_
bool | bLoadBefore_
Identifier * | identifier_
std::string | sectionname_

## Constructor & Destructor Documentation

orxonox::XMLPortObjectContainer::XMLPortObjectContainer | ( |  | ) | `[inline]`

virtual orxonox::XMLPortObjectContainer::~XMLPortObjectContainer | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual XMLPortObjectContainer& orxonox::XMLPortObjectContainer::description | ( | const std::string | description | ) | `[pure virtual]`

Implemented in orxonox::XMLPortClassObjectContainer< T, O >.

virtual const std::string& orxonox::XMLPortObjectContainer::getDescription | ( |  | ) | `[pure virtual]`

Implemented in orxonox::XMLPortClassObjectContainer< T, O >.

const std::string& orxonox::XMLPortObjectContainer::getName | ( |  | ) | const`[inline]`

Referenced by orxonox::operator<<(), and orxonox::XMLPortClassObjectContainer< T, O >::port().

bool orxonox::XMLPortObjectContainer::identifierIsIncludedInLoaderMask | ( | const Identifier * | identifier | ) |

References bApplyLoaderMask_, orxonox::Loader::currentMask_s, orxonox::Identifier::isA(), and orxonox::ClassTreeMask::isIncluded().

Referenced by orxonox::XMLPortClassObjectContainer< T, O >::port().

## Member Data Documentation

bool orxonox::XMLPortObjectContainer::bApplyLoaderMask_`[protected]`

Referenced by identifierIsIncludedInLoaderMask(), and orxonox::XMLPortClassObjectContainer< T, O >::XMLPortClassObjectContainer().

bool orxonox::XMLPortObjectContainer::bLoadBefore_`[protected]`

Referenced by orxonox::XMLPortClassObjectContainer< T, O >::port(), and orxonox::XMLPortClassObjectContainer< T, O >::XMLPortClassObjectContainer().

Identifier* orxonox::XMLPortObjectContainer::identifier_`[protected]`

Referenced by orxonox::XMLPortClassObjectContainer< T, O >::port(), and orxonox::XMLPortClassObjectContainer< T, O >::XMLPortClassObjectContainer().

std::string orxonox::XMLPortObjectContainer::sectionname_`[protected]`

Referenced by orxonox::XMLPortClassObjectContainer< T, O >::port(), and orxonox::XMLPortClassObjectContainer< T, O >::XMLPortClassObjectContainer().

The documentation for this class was generated from the following files:

- src/core/XMLPort.h
- src/core/XMLPort.cc